For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Trebellar Platform
DocsGuidesAPI Reference
DocsGuidesAPI Reference
  • API Reference
    • Introduction
  • API Resources
      • GETList Assets with Filtering
      • POSTCreate New Asset
      • GETGet Asset by ID
      • POSTBulk Asset Operations
      • POSTBulk Seat Assignments by People Group
      • GETList Asset Tags
      • POSTAdd Asset Tag
      • PUTUpdate Asset Tag
      • DELDelete Asset Tag
      • POSTBind Asset Tags
      • POSTUnbind Asset Tags
      • GETList all Location Definitions
      • POSTAdd Location Definitions
      • PUTUpdate Location Definitions
      • DELDelete Location Definitions
Trebellar Platform
LogoLogo
API ResourcesAssets

Delete Location Definitions

||View as Markdown|
DELETE
https://api.trebellar.app/api/v2/locations
DELETE
/api/v2/locations
1import { TrebellarApiClient } from "@trebellar/api-sdk";
2
3async function main() {
4 const client = new TrebellarApiClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.assets.deleteLocations({
8 locationIds: [
9 "string",
10 ],
11 });
12}
13main();
1{
2 "data": [
3 {
4 "id": "string",
5 "archived": true
6 }
7 ]
8}

Soft-deletes (archives) locations by default. Pass force=true in the body to permanently remove them.

Was this page helpful?
Previous

Update Location Definitions

Next

Insert badge data (bulk)

Built with

Authentication

X-Trebellar-Api-Keystring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
locationIdslist of stringsRequired
forcebooleanOptional

Response

Locations deleted/archived successfully

datalist of objects

Errors

400
Bad Request Error
500
Internal Server Error